List Models
curl --request GET \
--url https://api.veryfront.com/ai/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/ai/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/ai/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"models": [
{
"id": "claude-sonnet-4-6",
"modelId": "anthropic/claude-sonnet-4-6",
"provider": "anthropic",
"providerLabel": "Anthropic",
"providerLogoKey": "anthropic",
"name": "Claude Sonnet",
"aliases": [
"sonnet",
"anthropic/claude-sonnet-4-6"
],
"capabilities": {
"webResearch": true,
"streaming": true,
"tools": true,
"vision": true,
"thinking": true
},
"temperature": {
"min": 1,
"max": 1
},
"supportedProviderTools": [
"web_search",
"web_fetch"
],
"pricing": {
"inputUsdPer1M": 1,
"outputUsdPer1M": 1,
"cacheCreationInputUsdPer1M": 1,
"cacheReadInputUsdPer1M": 1
},
"providerPricing": {
"inputUsdPer1M": 1,
"outputUsdPer1M": 1,
"cacheCreationInputUsdPer1M": 1,
"cacheReadInputUsdPer1M": 1,
"tiers": [
{
"inputUsdPer1M": 1,
"outputUsdPer1M": 1,
"id": "long-context",
"label": "Long context",
"appliesTo": "Prompts over 200k tokens",
"cacheCreationInputUsdPer1M": 1,
"cacheReadInputUsdPer1M": 1
}
]
},
"pricingSources": {
"directProvider": "<string>",
"azure": "<string>"
},
"description": "Most efficient for everyday tasks"
}
],
"providers": [
"<string>"
],
"defaultModelId": "openai/gpt-5.4-nano"
}Returns available AI models and providers.
GET
/
ai
/
models
List Models
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
⌘I